Loading...
Searching...
No Matches
c_reg.c File Reference
`#include <math.h>`
`#include <grass/gis.h>`
`#include <grass/raster.h>`
Include dependency graph for c_reg.c:

Go to the source code of this file.

## Enumerations

enum | { REGRESSION_SLOPE = 0 , REGRESSION_OFFSET = 1 , REGRESSION_COEFF_DET = 2 , REGRESSION_T = 3 , REGRESSION_P = 4 }

## Functions

void | c_reg_m (DCELL *result, DCELL *values, int n, const void *closure)
void | c_reg_c (DCELL *result, DCELL *values, int n, const void *closure)
void | c_reg_r2 (DCELL *result, DCELL *values, int n, const void *closure)
void | c_reg_t (DCELL *result, DCELL *values, int n, const void *closure)
void | w_reg_m (DCELL *result, DCELL(*values)[2], int n, const void *closure)
void | w_reg_c (DCELL *result, DCELL(*values)[2], int n, const void *closure)
void | w_reg_r2 (DCELL *result, DCELL(*values)[2], int n, const void *closure)
void | w_reg_t (DCELL *result, DCELL(*values)[2], int n, const void *closure)

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
REGRESSION_SLOPE |
REGRESSION_OFFSET |
REGRESSION_COEFF_DET |
REGRESSION_T |
REGRESSION_P |

Definition at line 6 of file c_reg.c.

## Function Documentation

## c_reg_c()

void c_reg_c | ( | DCELL * | result,
|  | DCELL * | values,
|  | int | n,
|  | const void * | closure )

Definition at line 93 of file c_reg.c.

References REGRESSION_OFFSET.

## c_reg_m()

void c_reg_m | ( | DCELL * | result,
|  | DCELL * | values,
|  | int | n,
|  | const void * | closure )

Definition at line 88 of file c_reg.c.

References REGRESSION_SLOPE.

## c_reg_r2()

void c_reg_r2 | ( | DCELL * | result,
|  | DCELL * | values,
|  | int | n,
|  | const void * | closure )

Definition at line 98 of file c_reg.c.

References REGRESSION_COEFF_DET.

## c_reg_t()

void c_reg_t | ( | DCELL * | result,
|  | DCELL * | values,
|  | int | n,
|  | const void * | closure )

Definition at line 103 of file c_reg.c.

References REGRESSION_T.

## w_reg_c()

void w_reg_c | ( | DCELL * | result,
|  | DCELL(*) | values[2],
|  | int | n,
|  | const void * | closure )

Definition at line 188 of file c_reg.c.

References REGRESSION_OFFSET.

## w_reg_m()

void w_reg_m | ( | DCELL * | result,
|  | DCELL(*) | values[2],
|  | int | n,
|  | const void * | closure )

Definition at line 182 of file c_reg.c.

References REGRESSION_SLOPE.

## w_reg_r2()

void w_reg_r2 | ( | DCELL * | result,
|  | DCELL(*) | values[2],
|  | int | n,
|  | const void * | closure )

Definition at line 194 of file c_reg.c.

References REGRESSION_COEFF_DET.

## w_reg_t()

void w_reg_t | ( | DCELL * | result,
|  | DCELL(*) | values[2],
|  | int | n,
|  | const void * | closure )

Definition at line 200 of file c_reg.c.

References REGRESSION_T.